<template>
    <div>
        <b-row>
            <b-form inline>
                <label class="sr-only" for="magic-card-name">Name</label>
                <b-input class="" id="magic-card-name" placeholder="Name your Magic Card" v-model="name"/>
                <b-button class="" @click="createMagicCard" variant="primary">Create</b-button>
            </b-form>
        </b-row>

        <b-row>
            <b-alert :show="error" variant="danger">{{errorMsg}}</b-alert>
        </b-row>
    </div>
</template>

<script>
  export default {
    name: "MagicCardCreate",
    data: () => {
      return {
        name: "Test",
        error: false,
        errorMsg: ""
      }
    },
    methods: {
      async createMagicCard() {
        this.error = false
        if(name === ""){
          this.error = true
          this.errorMsg = "Need a not empty name to create Magic Card"
        }
        await this.$store.dispatch('magicCardContract/createMagicCard', {name: this.name })
      }
    }
  }
</script>

<style scoped>

</style>
